ggt667

When does FileMaker 11 Pro Advanced install in macOS Sierra? And when not?

5 posts in this topic

I have a MacMini running macOS Sierra with FM11PA that works; however this FM11PA was installed when there was MacOS X 10.10 on the MacMini.

Attempting to install FM11PA on my MB15R fails, well the installer appears to work fine( as pr attached image, ) but launching the app( as pr attached image ) tells me somebody has been fiddling with the installation and that I have to reinstall the application.

Screen Shot 2017-01-02 at 20.12.22.png

Screen Shot 2017-01-02 at 20.12.05.png

Share this post


Link to post
Share on other sites

Posted (edited)

The installer will indeed not run correctly on Sierra, this appears to be due to the installation package not being compatible with the new installer application.

One of the symptoms is that the serial number entry part of the installation script is skipped.

Installing on a machine with an older MacOS and then dragging the application over to the machine running Sierra seems to work OK though, just like having Filemaker 11 installed before upgrading to Sierra.

Edited by ernst

Share this post


Link to post
Share on other sites

Posted (edited)

16 hours ago, ernst said:

Installing on a machine with an older MacOS and then dragging the application over to the machine running Sierra seems to work OK though, just like having Filemaker 11 installed before upgrading to Sierra.

I tried copying a working FM11PA application and ~/Library/FileMaker from Mavericks and receive the same error as above after dragging in the app to Sierra.

 

This work for me

  1. In /Applications folder of the system running Mavericks compress FileMaker Pro 11 Advanced

  2. Copy the archive and the ~/Library/Application\ Support/FileMaker folder to the sierra system's /Applications and Application Support folder respectively

  3. Decompress

  4. Launch

 

For some reason copying the folder did not.

Edited by ggt667

Share this post


Link to post
Share on other sites

Probably some permission thing that got resolved by de-compressing the folder on the target machine.

Share this post


Link to post
Share on other sites

Maybe someone at FileMaker could find the time to code sign all old installers with current certificate?

Not sure if they do, but we could of course sign them ourselves.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Similar Content

    • By Spidey
      Hi,
      I have FileMaker 11 and I created a interface to pull data from my website's sql.  I am able to change the name of a product, but I cannot change the price of the mysql table through the FM 11 interface.  Is there something I miss doing?   I am using odbc to connect.  Thanks.
       
    • By beerad
      I am modifying the Invoice sample that comes with FM to provide some basic Inventory management functions.  Works pretty well.  However...I really need to be able to order a product in 2 ways :  (1) (Kit - ISBN) and have that deplete and ship all of the parts that make the kit. (2) as individual pieces)  For example:
      Kit 1234 (includes)
      3 of part 2234
      5 of part 9987
      1 of part 097
      Someone might order Kit 1234 PLUS an extra 9987.
       
      Make sense?  No clue on how to connect them.  Thanks in advance File Maker Jedis.
    • By jrie818
      I'm not sure what I'm doing wrong but when I check the version of the RemoteScripter 1.82 plugin from WebDirect client browser, I get the "?".
      The FMSA15 is installed on OSX El Capitan, inside FileMaker Server/Web Publishing/Publishing-Engine/wpc/Plugins. Restarted the server.
      I wrote a script that registers the plugin and I invoke the registration from the WebDirect client browser. And what I get is "?" from Version, Error or License Info check.
      Can someone help me? THanks.
       
    • By dezkev
      Hello all,
      as the subject says unable to install trial version of Fm 14 on a win 7 based pc with 4 GB RAM and i3 processor. After some googling I understand this to be a bitness problem.
      My pc is 32 bit -- but the installer seems to be only for 64 bit. Maybe the trial version does not have separate installers - quite defeats the purpose of a trial version in my opinion.
      I am logged in as administrator - but even then the error keeps coming up.
      Error  is something like " Unable to install or uninstall filemaker on this system.Please refer to system requirements in the installation instructions for more information". 
      Please advise.
       
       
    • By kathylin
      I can install SuperContainer 2.93 for my FM Server 14 running on OSX Mavericks, and got it running fine. However I am not sure how to install the Companion Plugin.
      I copied the SuperContainer Companion Plugin 2.93 into different folders
      /Library/Filemaker Server/Web Publishing/publishing-engine/cwpc/Plugins /Library/Filemaker Server/Web Publishing/publishing-engine/wpc/Plugins /Library/Filemaker Server/Database Server/Extensions but I still get an error message when I start the SuperContainer Example.fmp12 file saying that the SuperContainer Companion plugin is not installed.
      I did restart FM. Tried rebooting the osx machine, and restarted FM Server and SuperContainer. Would appreciate some help!!